package ru.kolevatykh.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2020-03-28T22:59:26.720+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.kolevatykh.ru/", name = "IUserEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface IUserEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/removeUserRequest", output = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/removeUserResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/removeUser/Fault/Exception")})
    @RequestWrapper(localName = "removeUser", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.RemoveUser")
    @ResponseWrapper(localName = "removeUserResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.RemoveUserResponse")
    public void removeUser(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/findAllUsersRequest", output = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/findAllUsersResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/findAllUsers/Fault/Exception")})
    @RequestWrapper(localName = "findAllUsers", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindAllUsers")
    @ResponseWrapper(localName = "findAllUsersResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindAllUsersResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.tm.endpoint.User> findAllUsers(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/removeAllUsersRequest", output = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/removeAllUsersResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/removeAllUsers/Fault/Exception")})
    @RequestWrapper(localName = "removeAllUsers", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.RemoveAllUsers")
    @ResponseWrapper(localName = "removeAllUsersResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.RemoveAllUsersResponse")
    public void removeAllUsers(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/mergeUserRequest", output = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/mergeUserResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/mergeUser/Fault/Exception")})
    @RequestWrapper(localName = "mergeUser", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.MergeUser")
    @ResponseWrapper(localName = "mergeUserResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.MergeUserResponse")
    public void mergeUser(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "login", targetNamespace = "")
        java.lang.String login,
        @WebParam(name = "loginNew", targetNamespace = "")
        java.lang.String loginNew,
        @WebParam(name = "password", targetNamespace = "")
        java.lang.String password,
        @WebParam(name = "role", targetNamespace = "")
        java.lang.String role,
        @WebParam(name = "isAuth", targetNamespace = "")
        java.lang.Boolean isAuth
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/findUserByIdRequest", output = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/findUserByIdResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IUserEndpoint/findUserById/Fault/Exception")})
    @RequestWrapper(localName = "findUserById", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindUserById")
    @ResponseWrapper(localName = "findUserByIdResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindUserByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.kolevatykh.tm.endpoint.User findUserById(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;
}
